Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

[geloest] Fehler bei apt upgrade auf 10.1 in kernel-source

Alles rund um die Systemverwaltung, die Administration und Konfiguration Eures Linuxsystems

Moderator: Moderatoren

Antworten
wh
Member
Member
Beiträge: 67
Registriert: 14. Nov 2005, 15:32

[geloest] Fehler bei apt upgrade auf 10.1 in kernel-source

Beitrag von wh » 31. Mai 2006, 02:06

Sorry ueber den vielen Text, aber bin leicht in Panik.
Wie kann ich apt dazu bringen, kernel-default-2.6.16.13-4 zu reinstallieren?
Oder gibt es eien andere Loesung?
Beim Upgrade 10.0 auf 10.1 mit apt gab es folgendes Problem:

[snip]
kernel-default ##################################################
Setting up /lib/modules/2.6.16.13-4-default
Root device: /dev/hda2 (mounted on / as ext3)
Module list: jbd ext3

Kernel image: /boot/vmlinuz-2.6.16.13-4-default
Initrd image: /boot/initrd-2.6.16.13-4-default
cp: Aufruf von stat für »/lib/klibc/sbin/ata_id« nicht möglich: Datei oder Verzeichnis nicht gefunden
cp: Aufruf von stat für »/lib/klibc/sbin/scsi_id« nicht möglich: Datei oder Verzeichnis nicht gefunden
cp: Aufruf von stat für »/lib/klibc/sbin/usb_id« nicht möglich: Datei oder Verzeichnis nicht gefunden
cp: Aufruf von stat für »/lib/klibc/sbin/vol_id« nicht möglich: Datei oder Verzeichnis nicht gefunden
cp: Aufruf von stat für »/lib/klibc/sbin/dasd_id« nicht möglich: Datei oder Verzeichnis nicht gefunden
cp: Aufruf von stat für »/sbin/udev« nicht möglich: Datei oder Verzeichnis nicht gefunden
cp: Aufruf von stat für »/sbin/udevstart« nicht möglich: Datei oder Verzeichnis nicht gefunden
cp: Aufruf von stat für »/lib/klibc/bin/hotplugeventrecorder« nicht möglich: Datei oder Verzeichnis nicht gefunden
Shared libs: ldd: /lib/klibc/sbin/ata_id: Datei oder Verzeichnis nicht gefunden
ldd: /lib/klibc/sbin/scsi_id: Datei oder Verzeichnis nicht gefunden
ldd: /lib/klibc/sbin/usb_id: Datei oder Verzeichnis nicht gefunden
ldd: /lib/klibc/sbin/vol_id: Datei oder Verzeichnis nicht gefunden
ldd: /lib/klibc/sbin/dasd_id: Datei oder Verzeichnis nicht gefunden
ldd: /sbin/udev: Datei oder Verzeichnis nicht gefunden
ldd: /sbin/udevstart: Datei oder Verzeichnis nicht gefunden
ldd: /lib/klibc/bin/hotplugeventrecorder: Datei oder Verzeichnis nicht gefunden
lib/ld-2.4.so lib/libblkid.so.1.0 lib/libc-2.4.so lib/libcom_err.so.2.1 lib/libext2fs.so.2.4 lib/libuuid.so.1.2

Driver modules: ide-disk sis5513
Filesystem modules: jbd ext3
Including: klibc initramfs udev fsck.ext3
Bootsplash: SuSE (1024x768)
6752 blocks

Run lilo now to update the boot loader configuration.
/sbin/mkinitrd failed
error: %post(kernel-default-2.6.16.13-4) scriptlet failed, exit status 1
[snip]
zip ##################################################
W: Some errors occurred while running transaction
apt executing:
apt executing: /sbin/ldconfig

Letztlich gab es zwei kernels in der database:
# rpm -qa | grep kernel
kernel-default-2.6.13-15.8
kernel-default-2.6.16.13-4
kernel-default-nongpl-2.6.13-15.8
kernel-source-2.6.16.13-4
# apt --test reinstall binutils
Lese Paketlisten... Fertig
Erzeuge Abhängigkeitsbaum... Fertig
Paket binutils ist ein virtuelles Paket bereitgestellt von:
binutils#2.16.91.0.2-8.4 2.16.91.0.2-8.4 [Installiert]
binutils#2.16.91.0.5-18 2.16.91.0.5-18 [Installiert]
Sie sollten explizit eines zur Installation auswählen.
W: There are multiple versions of "kernel-default" in your system.

This package won't be cleanly updated, unless you leave
only one version. To leave multiple versions installed,
you may remove that warning by setting the following
option in your configuration file:

RPM::Allow-Duplicated { "^kernel-default$"; };

To disable these warnings completely set:

RPM::Allow-Duplicated-Warning "false";

W: There are multiple versions of "binutils" in your system.

This package won't be cleanly updated, unless you leave
only one version. To leave multiple versions installed,
you may remove that warning by setting the following
option in your configuration file:

RPM::Allow-Duplicated { "^binutils$"; };

To disable these warnings completely set:

RPM::Allow-Duplicated-Warning "false";

W: Sie möchten `apt-get update' ausführen um diese Problem zu beheben
E: Package binutils is a virtual package with multiple good providers.

# rpm -qa | grep binutils
binutils-2.16.91.0.5-18
binutils-2.16.91.0.2-8.4

# rpm --test -e binutils-2.16.91.0.2-8.4
# rpm -e binutils-2.16.91.0.2-8.4
# apt --test reinstall binutils
Lese Paketlisten... Fertig
Erzeuge Abhängigkeitsbaum... Fertig
You might want to run `apt-get --fix-broken install' to correct these:
Die folgenden Pakete besitzen unerfülte Abhängigkeiten:
kernel-default#2.6.16.13-4: Obsoletes: kernel-default-nongpl
W: There are multiple versions of "kernel-default" in your system.

This package won't be cleanly updated, unless you leave
only one version. To leave multiple versions installed,
you may remove that warning by setting the following
option in your configuration file:

RPM::Allow-Duplicated { "^kernel-default$"; };

To disable these warnings completely set:

RPM::Allow-Duplicated-Warning "false";

W: Sie möchten `apt-get update' ausführen um diese Problem zu beheben
E: Unmet dependencies. Try 'apt-get --fix-broken install' with no packages (or specify a solution).


# apt-get --fix-broken install
Lese Paketlisten... Fertig
Erzeuge Abhängigkeitsbaum... Fertig
Korrigiere Abhängigkeiten ... Fertig
Die folgenden Pakete werden ENTFERNT:
kernel-default-nongpl
0 upgraded, 0 newly installed, 1 entfernt und 1 nicht upgegradet.
Muss 0B an Archiven holen.
Nach dem Auspacken werden 13,2MB Plattenplatz freigegeben werden.
Wollen Sie fortsetzen? [J/n]
Committing changes...
[snip]

# apt --test reinstall binutils
Lese Paketlisten... Fertig
Erzeuge Abhängigkeitsbaum... Fertig
0 upgraded, 0 newly installed, 1 re-installiert0 entfernt und 1 nicht upgegradet.
Muss 0B/4265kB an Archiven holen.
Nach dem Auspacken werden 0B zusätzlicher Plattenplatz benutzt werden.
Wollen Sie fortsetzen? [J/n]
Committing changes...
Preparing... ########################################### [100%]
Done.
apt running in test mode: /sbin/SuSEconfig would now be executed
W: There are multiple versions of "kernel-default" in your system.

This package won't be cleanly updated, unless you leave
only one version. To leave multiple versions installed,
you may remove that warning by setting the following
option in your configuration file:

RPM::Allow-Duplicated { "^kernel-default$"; };

To disable these warnings completely set:

RPM::Allow-Duplicated-Warning "false";

W: Sie möchten `apt-get update' ausführen um diese Problem zu beheben

# apt-get update
[snip]
Lese Paketlisten... Fertig
Erzeuge Abhängigkeitsbaum... Fertig
Del kernel-default 2.6.16.13-4 [17,5MB]
# rpm -qa | grep kernel
kernel-default-2.6.13-15.8
kernel-default-2.6.16.13-4
kernel-source-2.6.16.13-4

# rpm -qa | grep kernel
kernel-default-2.6.13-15.8
kernel-default-2.6.16.13-4
kernel-source-2.6.16.13-4

# rpm --test -e kernel-default-2.6.13-15.8
# rpm -e kernel-default-2.6.13-15.8
# apt --test reinstall kernel-default-2.6.16.13-4
Lese Paketlisten... Fertig
Erzeuge Abhängigkeitsbaum... Fertig
E: Konnte Paket kernel-default-2.6.16.13-4 nicht finden
Zuletzt geändert von wh am 31. Mai 2006, 14:02, insgesamt 1-mal geändert.

Werbung:
wh
Member
Member
Beiträge: 67
Registriert: 14. Nov 2005, 15:32

Beitrag von wh » 31. Mai 2006, 14:00

Nach einer Runde Schlaf klappt es jetzt:

Es musste natuerlich heissen (ohne Versionsnumme):

# apt --test reinstall kernel-default

wh
Member
Member
Beiträge: 67
Registriert: 14. Nov 2005, 15:32

Beitrag von wh » 31. Mai 2006, 14:10

und ich hoffe mal, die folgenden Meldungen sind nicht so kritisch, denn von Hand geht /sbin/lilo ohne Probleme?

[snip]
Run lilo now to update the boot loader configuration.
no record for '/block/hda' in database
Cannot run 'udevinfo -q name -p /block/hda' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda10' in database
Cannot run 'udevinfo -q name -p /block/hda/hda10' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda9' in database
Cannot run 'udevinfo -q name -p /block/hda/hda9' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda8' in database
Cannot run 'udevinfo -q name -p /block/hda/hda8' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda7' in database
Cannot run 'udevinfo -q name -p /block/hda/hda7' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda6' in database
Cannot run 'udevinfo -q name -p /block/hda/hda6' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda5' in database
Cannot run 'udevinfo -q name -p /block/hda/hda5' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda4' in database
Cannot run 'udevinfo -q name -p /block/hda/hda4' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda3' in database
Cannot run 'udevinfo -q name -p /block/hda/hda3' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda2' in database
Cannot run 'udevinfo -q name -p /block/hda/hda2' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda1' in database
Cannot run 'udevinfo -q name -p /block/hda/hda1' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda' in database
Cannot run 'udevinfo -q name -p /block/hda' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda10' in database
Cannot run 'udevinfo -q name -p /block/hda/hda10' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda9' in database
Cannot run 'udevinfo -q name -p /block/hda/hda9' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda8' in database
Cannot run 'udevinfo -q name -p /block/hda/hda8' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda7' in database
Cannot run 'udevinfo -q name -p /block/hda/hda7' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda6' in database
Cannot run 'udevinfo -q name -p /block/hda/hda6' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda5' in database
Cannot run 'udevinfo -q name -p /block/hda/hda5' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda4' in database
Cannot run 'udevinfo -q name -p /block/hda/hda4' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda3' in database
Cannot run 'udevinfo -q name -p /block/hda/hda3' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda2' in database
Cannot run 'udevinfo -q name -p /block/hda/hda2' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda1' in database
Cannot run 'udevinfo -q name -p /block/hda/hda1' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda' in database
Cannot run 'udevinfo -q name -p /block/hda' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda10' in database
Cannot run 'udevinfo -q name -p /block/hda/hda10' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda9' in database
Cannot run 'udevinfo -q name -p /block/hda/hda9' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda8' in database
Cannot run 'udevinfo -q name -p /block/hda/hda8' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda7' in database
Cannot run 'udevinfo -q name -p /block/hda/hda7' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda6' in database
Cannot run 'udevinfo -q name -p /block/hda/hda6' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda5' in database
Cannot run 'udevinfo -q name -p /block/hda/hda5' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda4' in database
Cannot run 'udevinfo -q name -p /block/hda/hda4' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda3' in database
Cannot run 'udevinfo -q name -p /block/hda/hda3' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda2' in database
Cannot run 'udevinfo -q name -p /block/hda/hda2' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
no record for '/block/hda/hda1' in database
Cannot run 'udevinfo -q name -p /block/hda/hda1' properly at /usr/lib/perl5/vendor_perl/5.8.8/Bootloader/Tools.pm line 149.
Done.
apt executing: /sbin/SuSEconfig
[snip]

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast